Bug 255312 - devel/py-b2sdk: update to 1.6.0
Summary: devel/py-b2sdk: update to 1.6.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Rainer Hurling
URL: https://github.com/Backblaze/b2-sdk-p...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-21 23:12 UTC by Henry
Modified: 2021-04-23 17:17 UTC (History)
1 user (show)

See Also:


Attachments
update to 1.6.0 (1.76 KB, patch)
2021-04-21 23:12 UTC, Henry
no flags Details | Diff
update to 1.6.0 (1.86 KB, patch)
2021-04-22 18:09 UTC, Henry
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Henry 2021-04-21 23:12:18 UTC
Created attachment 224341 [details]
update to 1.6.0

Update to 1.6.0
Comment 1 Rainer Hurling freebsd_committer 2021-04-22 06:24:40 UTC
Hi Henry,

Thanks for the update!

After changing the Makefiles last line from .include <bsd.port.mk> into .include <bsd.port.post.mk>, Poudriere fails for all flavors of python in the configure phase :(


=======================<phase: configure      >============================
===>   py38-b2sdk-1.6.0 depends on package: py38-setuptools>0 - found
===>   py38-b2sdk-1.6.0 depends on file: /usr/local/bin/python3.8 - found
===>  Configuring for py38-b2sdk-1.6.0
WARNING: The pip package is not available, falling back to EasyInstall for handling setup_requires/test_requires; this is deprecated and will be removed in a future version.
Download error on https://pypi.org/simple/setuptools_scm/: [Errno 8] Name does not resolve -- Some packages may not be found!
Download error on https://pypi.org/simple/setuptools-scm/: [Errno 8] Name does not resolve -- Some packages may not be found!
Couldn't find index page for 'setuptools_scm' (maybe misspelled?)
Download error on https://pypi.org/simple/: [Errno 8] Name does not resolve -- Some packages may not be found!
No local packages or working download links found for setuptools_scm<6.0
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/setuptools/installer.py", line 62, in fetch_build_egg
    pkg_resources.get_distribution('pip')
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 481, in get_distribution
    dist = get_provider(dist)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 357, in get_provider
    return working_set.find(moduleOrReq) or require(str(moduleOrReq))[0]
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 900, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 786, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'pip' distribution was not found and is required by the application

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<string>", line 1, in <module>
  File "setup.py", line 42, in <module>
    setup(
  File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 144, in setup
    _install_setup_requires(attrs)
  File "/usr/local/lib/python3.8/site-packages/setuptools/__init__.py", line 139, in _install_setup_requires
    dist.fetch_build_eggs(dist.setup_requires)
  File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 718, in fetch_build_eggs
    resolved_dists = pkg_resources.working_set.resolve(
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 780, in resolve
    dist = best[req.key] = env.best_match(
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1065, in best_match
    return self.obtain(req, installer)
  File "/usr/local/lib/python3.8/site-packages/pkg_resources/__init__.py", line 1077, in obtain
    return installer(requirement)
  File "/usr/local/lib/python3.8/site-packages/setuptools/dist.py", line 777, in fetch_build_egg
    return fetch_build_egg(self, req)
  File "/usr/local/lib/python3.8/site-packages/setuptools/installer.py", line 70, in fetch_build_egg
    return _legacy_fetch_build_egg(dist, req)
  File "/usr/local/lib/python3.8/site-packages/setuptools/installer.py", line 53, in _legacy_fetch_build_egg
    return cmd.easy_install(req)
  File "/usr/local/lib/python3.8/site-packages/setuptools/command/easy_install.py", line 679, in easy_install
    raise DistutilsError(msg)
distutils.errors.DistutilsError: Could not find suitable distribution for Requirement.parse('setuptools_scm<6.0')
*** Error code 1

Stop.


Could you please investigate and have a look what is going wrong here? Thanks.
Comment 2 Henry 2021-04-22 18:09:34 UTC
Created attachment 224360 [details]
update to 1.6.0

Updated diff with bsd.port.post.mk changes and updated depends.
Comment 3 Rainer Hurling freebsd_committer 2021-04-22 19:18:44 UTC
(In reply to Henry from comment #2)
Hi Henry,

Your newest patch is in the right direction, but it turns out, that devel/py-setuptools_scm is needed twice: as a RUN_DEPENDS and a BUILD_DEPENDS one ;)

Now it builds and installs fine on Poudriere (amd64, i386, F114, F122, F130 and CURRENT, all flavors).

If you agree, I will commit it directly, without another updated patch in Bugzilla :D

BTW: Did you try it in a real life box, if v1.6.0 works as expected?
Comment 4 Henry 2021-04-22 20:13:21 UTC
Agreed, thank you.

Tested on a amd64 12.2 VM using sysutils/duplicity and using a b2 backend.

I've no access to poudriere at all and the vm has setuptools/setuptools_scm already installed.
Comment 5 Rainer Hurling freebsd_committer 2021-04-23 05:32:43 UTC
(In reply to Henry from comment #4)

> Agreed, thank you.
Fine. But oops, you as I prepared the commit, a new version 1.7.0 was released. Should we integrate v1.7.0 in this commit?

> Tested on a amd64 12.2 VM using sysutils/duplicity and using a b2 backend.
OK, so it should work as expected :)

> I've no access to poudriere at all and the vm has setuptools/setuptools_scm
> already installed.
If you are interested. Poudriere is a port as others, easy to install with only little need for configuration, before it works. There is plenty of documentation in the web ...
Comment 6 Henry 2021-04-23 16:49:49 UTC
(In reply to Rainer Hurling from comment #5)
> Fine. But oops, you as I prepared the commit, a new version 1.7.0 was released. Should we integrate v1.7.0 in this commit?

I say go ahead with 1.6 and wait for any issues with 1.7 to shake out first.
Comment 7 commit-hook freebsd_committer 2021-04-23 17:15:48 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=a36eb0f5186a288a660667983ccfe0e66522a62c

commit a36eb0f5186a288a660667983ccfe0e66522a62c
Author:     Rainer Hurling <rhurlin@FreeBSD.org>
AuthorDate: 2021-04-23 17:12:51 +0000
Commit:     Rainer Hurling <rhurlin@FreeBSD.org>
CommitDate: 2021-04-23 17:12:51 +0000

    devel/py-b2sdk: Update to 1.6.0

    Changelog: https://github.com/Backblaze/b2-sdk-python/releases

    PR:             255312
    Submitted by:   Henry <PopularMoment@protonmail.com> (maintainer)

 devel/py-b2sdk/Makefile | 13 ++++++++++---
 devel/py-b2sdk/distinfo |  6 +++---
 2 files changed, 13 insertions(+), 6 deletions(-)
Comment 8 Rainer Hurling freebsd_committer 2021-04-23 17:17:30 UTC
Committed, thanks :)